<template>
  <div class="posts">
    <h1>Posts</h1>
    This file will list all the posts.

    <div v-for="post in posts">
      <!-- <p>
        <span><b>{{ post.title }}</b></span><br />
        <span>{{ post.description }}</span>
      </p> -->
      <p>{{ post }}</p>
    </div>
  </div>
</template>

<script>
import PostsService from '../../services/PostsService.js'
export default {
  name: 'posts',
  data () {
    return {
      posts: []
    }
  },
  mounted () {
    this.getPosts()
  },
  methods: {
    async getPosts () {
      const response = await PostsService.fetchPosts();
      this.posts = response.data;
    }
  }
}
</script>